package com.brilliance.isc.common.trtcre.service;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.model.Trdgrp;
import com.brilliance.isc.bo.model.Trtp;
import com.brilliance.isc.bo.model.Wbdp;
import com.brilliance.isc.vo.model.FinmodVo;
import com.brilliance.isc.vo.model.TrtcreBizInfoVo;

public interface TrtpService {

    void initWbdcre(Wbdp wbdp);

    void assertWbdcre(Wbdp wbdp, String cur, String ptyinr);

    void defaultTrdgrpRecOpndatN1000(Trdgrp trdgrp);

    void defaultTrdgrpRecActfindayN1000(Trdgrp trdgrp);

    void defaultTrdgrpRecLprtypN1000(Trtp trtp, Trdgrp trdgrp, FinmodVo finmodVo);

    void defaultLabmaxamtN1000(Trtp trtp, Trdgrp trdgrp);

    void defaultTrdgrpRecStttendatN1000(Trtp trtp, Trdgrp trdgrp);

    void defaultTrdgrpRecOwnusrN1000(Trdgrp trdgrp);

    void defaultTrdgrpCbsMaxCurN12000(Trtp trtp, Cbb maxcbb);

    void defaultTrdgrpRecGoddspcnN1000(String crefinflg, TrtcreBizInfoVo rec, Trdgrp trdgrp);

    void defaultTrdgrpRecFfaflgN1000(Trtp trtp, Trdgrp trdgrp);
}
